Package question



  • I installed 2.4.4_2 this AM...all went well. While browsing around I noticed that the one package I have installed, Nut, shows in yellow that there is an update available BUT there doesn't appear to be a way to install the update. The icon/control for the update is not present.

    Also confused about the different version number of the package (2.7.4_7) and the dependency (2.7.4_8). Which one is being used? Will the update eventually be added to PfSense and/or FreeBSD? Also, what does it mean that the package is not fully installed or deprecated...it does appear to be working as it logs into the NUT server (my Synology NAS) and receives server info properly.

    0_1546964543035_686ef66c-ade2-4706-8e45-26b116f832a3-image.png


  • Galactic Empire

    Only worry about it if the text between Installed Packages and the blue line are yellow.

    You don't have an update to nut.

    Everyone has that yellow text at the bottom.



  • @jeff3820 said in Package question:

    Also confused about the different version number of the package (2.7.4_7) and the dependency (2.7.4_8). Which one is being used? Will the update eventually be added to PfSense and/or FreeBSD?

    There are two levels of package involved:

    The first level is the pfSense NUT package, which contains the pfSense specific GUI and script components. This package is currently at version 2.7.4_7. Details on this package are here.

    The second level is the FreeBSD NUT package, which contains the actual Network UPS Tools binaries. This package is currently at version 2.7.4_8. Details on this package are here.

    The pfSense NUT package lists the FreeBSD NUT package as a dependency.



  • Thanks all, this has been very helpful!